SDK Version Compatibility

The following table shows the supported Integration SDK versions for each Appian release (starting with the initial release in 19.1). All entries assume you are running the latest hotfix.

  • Component plug-ins reference the SDK version in the plug-in manifest
  • Connected system plug-ins reference the SDK version in the project's dependency file (e.g. build.gradle).
  • Our SDKs use the semver standard.
Appian Version Component Plug-ins Connected System Plug-ins
19.4 SDK Version: 2.0.0
19.3 SDK Version: 2.0.0
19.2 SDK Version: 2.0.0
19.1 SDK Version: 2.0.0

See also:

FEEDBACK